add credit card
1 min
POST
https://api.upstartcommerce.com/v1/customer/profile/creditcards/cards
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectAn object describing the credit card data.
200<p>Success-credit card data added.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/profile/creditcards/cards \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"cardNumber": "8111",
"cardType": "Visa",
"expirationMonth": "10",
"expirationYear": "2025",
"label": "Personal",
"token": "65FZG32BYZ756JH345"
}'